#include "bootstrap.h"

Bootstrap::Bootstrap(QObject *parent) : QObject(parent)
{
    widgetManager = new WidgetManager;
    coreManager = new CoreManager;
    workerThread = new QThread;
    animationThread = new QThread;
}

void Bootstrap::initialize()
{
    qRegisterMetaType<PacketType>("PacketType");

    widgetManager->initialize();
    coreManager->initialize(widgetManager, workerThread);

    widgetManager->start();
    coreManager->start();
}


